Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class StructuredViewerInternals

    java.lang.Object
      org.eclipse.jface.viewers.StructuredViewerInternals

    public class StructuredViewerInternals

extends Object

This class is not part of the public API of JFace. See bug 267722.

Since:
  3.5
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Nested Class Summary
`protected static interface` `StructuredViewerInternals.AssociateListener` Nothing to see here.

Constructor Summary
`StructuredViewerInternals()`

Method Summary
`protected static Widget[]` `getItems(StructuredViewer viewer, Object element)` Nothing to see here.
`protected static void` `setAssociateListener(StructuredViewer viewer, StructuredViewerInternals.AssociateListener listener)` Nothing to see here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructuredViewerInternals

    public StructuredViewerInternals()

Method Detail

### setAssociateListener

    protected static void setAssociateListener(StructuredViewer viewer,
                                               StructuredViewerInternals.AssociateListener listener)

  Nothing to see here. Sets or resets the AssociateListener for the given Viewer.

  Parameters:
    `viewer` - the viewer
    `listener` - the `StructuredViewerInternals.AssociateListener`
  Restriction:
    This method is not intended to be referenced by clients.

### getItems

    protected static Widget[] getItems(StructuredViewer viewer,
                                       Object element)

  Nothing to see here. Returns the items for the given element.

  Parameters:
    `viewer` -
    `element` -
  Returns:
    the Widgets corresponding to the element
  Restriction:
    This method is not intended to be referenced by clients.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.